#!/bin/sh -efu
#
# This variables must be defined befor this script runs.
readonly php_extconf="${php_extconf:?}"
readonly php_sysconfdir="${php_sysconfdir:?}"
readonly php_servicedir="${php_servicedir:?}"

[ -d "$php_extconf" -a -d "$php_sysconfdir" -a -d "$php_servicedir" ] || exit 0

readonly sapiList="${sapiList:=`find "$php_sysconfdir" -mindepth 1 -maxdepth 1 -type d -printf '%f '`}"
readonly extList="${extList:=`find "$php_extconf" -mindepth 1 -maxdepth 1 -type d -printf '%f '`}"
readonly suffix='phpnew'

update_sapi=' '
for ext in $extList; do
	module_config="$php_extconf/$ext/config"
	module_params="$php_extconf/$ext/params"

	[ -f "$module_params" -a -f "$module_config" ] ||
		continue

	file_ini=
	exceptions=

	. "$module_params"

	config_ini="${config_ini:=$ext.ini}"
	exceptions=" $exceptions "

	for sapi in $sapiList; do
		[ -n "${exceptions##* $sapi *}" ] ||
			continue

		cur_config="$php_sysconfdir/$sapi/php.d/$config_ini"

		if [ -f "$cur_config" ] && ! cmp -s "$module_config" "$cur_config"; then
			cp "$module_config" "$cur_config.$suffix"
			echo "warning: $cur_config created as $cur_config.$suffix" >&2
			continue
		fi
		cp "$module_config" "$cur_config"

		[ -z "${update_sapi##* $sapi *}" ] ||
			update_sapi="$update_sapi $sapi "
	done
done

for sapi in $update_sapi; do
	[ ! -x "$php_servicedir/$sapi/condrestart" ] ||
		"$php_servicedir/$sapi/condrestart"
done
